VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} frmMeetingRoom 
   Caption         =   "Markit Meeting Room Finder"
   ClientHeight    =   6885
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   11325
   OleObjectBlob   =   "frmMeetingRoom.frx":0000
   ShowModal       =   0   'False
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "frmMeetingRoom"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub btnCancel_Click()
    Unload Me
End Sub

Private Sub btnFind_Click()
    Dim resultArr As Variant
    Dim splitArr As Variant
    Dim inpArr(0) As Variant
    Dim iCount As Integer
    Dim kCount As Integer

    If TextBox1.Text = "" Then
        MsgBox "Error: Please input the required duration in mins.", vbExclamation, "Appointment Duration Missing"
        GoTo quitProc
    End If
    If ComboBox1.Text = "" Then
        MsgBox "Error: Please select the required room for appointment.", vbExclamation, "Appointment Room Selection Missing"
        GoTo quitProc
    End If
    If Left(ComboBox1.Text, 1) = "*" Then
        ListBox1.Clear
        resultArr = modMeetingRoom.FindFreeTime((DTPicker1.Value), modMeetingRoom.meetingRoomList, CInt(TextBox1.Text))
    Else
        ListBox1.Clear
        inpArr(0) = ComboBox1.Text
        resultArr = modMeetingRoom.FindFreeTime((DTPicker1.Value), inpArr, CInt(TextBox1.Text))
    End If
    If resultArr <> "" Then
        splitArr = Split(resultArr, ";")
        ListBox1.ColumnCount = 3
        kCount = 0
        For iCount = 0 To UBound(splitArr) - 1 Step 3
            ListBox1.AddItem splitArr(iCount)
            ListBox1.List(kCount, 1) = "|       " & splitArr(iCount + 1)
            ListBox1.List(kCount, 2) = "|       " & splitArr(iCount + 2)
            kCount = kCount + 1
        Next iCount
    End If
quitProc:
End Sub

Private Sub UserForm_Initialize()
    Dim iCount As Integer
    modFormMinimize.FormatUserForm (Me.Caption)
    DTPicker1.Value = Now
    ComboBox1.AddItem "* - All Rooms", 0
    If IsVarArrayEmpty(modMeetingRoom.meetingRoomList) Then
        modMeetingRoom.GetMeetingRoomList
    End If
    For iCount = 0 To UBound(modMeetingRoom.meetingRoomList)
        ComboBox1.AddItem modMeetingRoom.meetingRoomList(iCount), iCount + 1
    Next iCount
End Sub

Function IsVarArrayEmpty(anArray As Variant)
    Dim i As Integer
    On Error Resume Next
    i = UBound(anArray, 1)
    If Err.Number = 0 Then
        IsVarArrayEmpty = False
    Else
        IsVarArrayEmpty = True
    End If
End Function


